### Method

# Dex Channel receive

#### Declaration [src]

    DexFuture*
    dex_channel_receive (
      DexChannel* channel
    )

#### Description [src]

Receives the next item from the channel.

The resulting future will resolve or reject when an item is available to the channel or when send side has closed (in that order).

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.